﻿$ErrorActionPreference = "Stop";

$packageArgs = @{
  packageName = $env:ChocolateyPackageName
  fileType = "exe"
  silentArgs = "/SD"
  url = "https://d3qm0vl2sdkrc.cloudfront.net/releases/6.1933.0/6.1933.0.22573/release/DashlaneInst.exe"
  validExitCodes = @(0,1223)
  checksum = "7e9b8ae4bf65966522320b5c7e01c9251df62209"
  checksumType = "sha1"
};

Install-ChocolateyPackage @packageArgs

$installLocation = Get-AppInstallLocation "dashlane*"
if ($installLocation) {
  Write-Host "$packageName installed to '$installLocation'"
} else {
  Write-Warning "Can't find install location"
}

Start-Sleep -Seconds 20

Get-Process -Name "dashlane*" | % {
  Write-Host "Stopping $($_.ProcessName) process ($($_.Id)) ..."
  Stop-Process $_
}
